%filter_from_requires /^perl.Lock.Socket.Mo.pm./d
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.0.6
%define module_name Lock-Socket
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.6
Release: alt1
Summary: application lock/mutex module based on sockets
Group: Development/Perl
License: gpl3
URL: https://github.com/mlawren/p5-Lock-Socket

Source0: http://cpan.org.ua/authors/id/M/ML/MLAWREN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Lock::Socket provides cooperative inter-process locking for
applications that need to ensure that only one process is running at a
time.  This module works by binding an INET socket to a port on a
loopback address which the operating system conveniently restricts to a
single process.

Should you use Lock::Socket instead of a file-based module? Perhaps.
Here are some statements that I believe to be true that work in its
favour:

=over

=item * Lock::Socket guarantees (through the operating system) that
no two applications will hold the same lock: there is no race
condition.

=item * Lock::Socket is guaranteed (again through the operating
system) to clean up neatly when your process exits, so there are no
stale locks to deal with.

=item * Lock::Socket relies on functionality that is well supported
by anything that Perl runs on: no issues with flock(2) support on Win32
for example.

=back

The following statements I also believe to be true that work against
the module:

=over

=item * There is a slight chance that some unrelated process can grab
the lock that you need by accident, as the available lock namespace is
system-wide (we can't use user directories).

=item * Lock::Socket has no ability to identify which process is
holding a lock.

=item * Lock::Socket cannot be used for locking access to files on
NFS shares, only local resources.

=back

I'll leave it up to you and your particular situation to know if this
is the right module for you.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes TODO example
%perl_vendor_privlib/L*

%changelog
* Thu Dec 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1
- initial import by package builder

